summaryrefslogtreecommitdiff
path: root/global/overlay/usr/local/bin/ping-check
diff options
context:
space:
mode:
authorFredrik Thulin <fredrik@thulin.net>2015-04-26 09:10:42 +0200
committerFredrik Thulin <fredrik@thulin.net>2015-04-26 09:10:42 +0200
commit1d27bd18a1c03ae9fa9d3afb7fdc5bf401a23e94 (patch)
tree700453a90c269410c0101853eb940c9996e4d452 /global/overlay/usr/local/bin/ping-check
parentd6a0cfe99e4b5b91307386e6746bf3587f3b32bb (diff)
parentdeeb38e36bf12b51535cae4a6e61ab145a0720d6 (diff)
Merge branch 'master' of git.nordu.net:sunet-opssunet-ops-2015-04-26-v01
Diffstat (limited to 'global/overlay/usr/local/bin/ping-check')
-rwxr-xr-xglobal/overlay/usr/local/bin/ping-check21
1 files changed, 21 insertions, 0 deletions
diff --git a/global/overlay/usr/local/bin/ping-check b/global/overlay/usr/local/bin/ping-check
new file mode 100755
index 0000000..57d533c
--- /dev/null
+++ b/global/overlay/usr/local/bin/ping-check
@@ -0,0 +1,21 @@
+#!/usr/bin/env bash
+#
+# Ping until reply or MAX_TRIES. One try == 1s.
+#
+
+MAX_TRIES=60
+LOGTAG="sunet_docker_ping_check"
+
+count=1
+until ping -c1 $1 &> /dev/null
+do
+ if [ $count -gt $MAX_TRIES ]
+ then
+ logger -t "$LOGTAG" "No response from $1 after $MAX_TRIES tries."
+ exit 1
+ fi
+ sleep 1
+ count=$[$count+1]
+done
+logger -t "$LOGTAG" "IP lookup of $1 succeeded after $count tries."
+